CHRONYC(1)

NAME
chronyc - command-line interface for chronyd

SYNOPSIS
chronyc [OPTIONS]

DESCRIPTION
chrony is a pair of programs for maintaining the accuracy of computer clocks. chronyc is a command-line interface program which can be used to monitor chronyd's performance and to change various operating parameters whilst it is running.

USAGE
A detailed description of all commands supported by chronyc is available via the documentation supplied with the distribution (chrony.txt and chrony.texi).

OPTIONS
A summary of the options supported by chronyc is included below.

-h hostname
    specify hostname (default 127.0.0.1)

-p port-number
    specify port-number

-n  display raw IP addresses (don't attempt to look up hostnames)

-4  resolve hostnames only to IPv4 addresses

-6  resolve hostnames only to IPv6 addresses

-m  allow multiple commands to be specified on the command line. Each argument will be interpreted as a whole command.

-f conf-file
    This option can be used to specify an alternate location for the configuration file (default /etc/chrony.conf). The configuration file is needed for the -a option.

-a  With this option chronyc will try to authenticate automatically on start. It will read the configuration file, read the command key from the keyfile and run the authhash and password commands.

command
    specify command. If no command is given, chronyc will read commands interactively.

BUGS
To report bugs, please visit http://chrony.tuxfamily.org

SEE ALSO
chronyd(8), chrony(1) http://chrony.tuxfamily.org/

AUTHOR
Richard Curnow <rc@rc0.org.uk> This man-page was written by Jan Schaumann <jschauma@netmeister.org> as part of "The Missing Man Pages Project". Please see http://www.netmeister.org/misc/m2p2/index.html for details. The complete chrony documentation is supplied in texinfo format.